Recording storage and retention
Inspect storage, preview cleanup and retention changes, and manage cleanup jobs and protections.
| Operation | Request |
|---|---|
| Get Recording Retention | GET /api/v1/recording-retention |
| Provider Budget | GET /api/v1/recording-storage/provider-budget |
| Set Provider Budget | PUT /api/v1/recording-storage/provider-budget |
| Query recording storage | POST /api/v1/recording-storage/inventory |
| Preview recording cleanup | POST /api/v1/recording-storage/previews |
| Preview Items | GET /api/v1/recording-storage/previews/{preview_id}/items |
| List recording cleanup jobs | GET /api/v1/recording-storage/cleanup-jobs |
| Confirm recording cleanup | POST /api/v1/recording-storage/cleanup-jobs |
| Retention Preview | POST /api/v1/recording-storage/retention-previews |
| Retention Confirm | POST /api/v1/recording-storage/retention-changes |
| Get recording cleanup job | GET /api/v1/recording-storage/cleanup-jobs/{job_id} |
| Control recording cleanup job | POST /api/v1/recording-storage/cleanup-jobs/{job_id}/{action} |
| Protect recording storage | POST /api/v1/recording-storage/protections |
